#pragma once

#include "userhelper.h"

#include <QDialog>

namespace Ui {
class WhoAmIDialog;
}

class WhoAmIDialog : public QDialog
{
    Q_OBJECT

public:
    explicit WhoAmIDialog(QWidget *parent = nullptr);
    ~WhoAmIDialog();

private slots:
    void getUserCallback(const User &u);

private:
    void onGotUserId(int userID);

    // Class members
    Ui::WhoAmIDialog *ui;
    UserHelper mUserHelper;
};

